### const_registered_buffer

Holds a registered buffer over non-modifiable data.

    class const_registered_buffer

##### Member Functions

Name | Description
--- | ---
buffer | Get the underlying constant buffer.
const_registered_buffer [constructor] | Default constructor creates an invalid registered buffer. — Construct a non-modifiable buffer from a modifiable one.
data | Get a pointer to the beginning of the memory range.
id | Get the registered buffer identifier.
operator+= | Move the start of the buffer by the specified number of bytes.
size | Get the size of the memory range.

##### Related Functions

Name | Description
--- | ---
operator+ | Create a new non-modifiable registered buffer that is offset from the start of another. Create a new non-modifiable buffer that is offset from the start of another.

Satisfies the `ConstBufferSequence` type requirements.

##### Requirements

Header: `asio/registered_buffer.hpp`

Convenience header: `asio.hpp`